package com.rjconsultores.ventaboletos.vo.comissao;

import java.util.Date;

import com.rjconsultores.ventaboletos.utilerias.DateUtil;

public class EtiquetaMalote {

	private Integer empresaId;
	private String nombempresa;
	private Integer puntoventaId;
	private String nombpuntoventa;

	private String numeroMalote;
	private Date dataInicial;
	private Date dataFinal;

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public String getNombempresa() {
		return nombempresa;
	}

	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}

	public Integer getPuntoventaId() {
		return puntoventaId;
	}

	public void setPuntoventaId(Integer puntoventaId) {
		this.puntoventaId = puntoventaId;
	}

	public String getNombpuntoventa() {
		return nombpuntoventa;
	}

	public void setNombpuntoventa(String nombpuntoventa) {
		this.nombpuntoventa = nombpuntoventa;
	}

	public String getNumeroMalote() {
		return numeroMalote;
	}

	public void setNumeroMalote(String numeroMalote) {
		this.numeroMalote = numeroMalote;
	}

	public Date getDataInicial() {
		return dataInicial;
	}

	public void setDataInicial(Date dataInicial) {
		this.dataInicial = dataInicial;
	}

	public Date getDataFinal() {
		return dataFinal;
	}

	public void setDataFinal(Date dataFinal) {
		this.dataFinal = dataFinal;
	}
	
	public String getDatasMalote() {
		return DateUtil.getStringDate(getDataInicial(), "dd/MM/yyyy") + " - " + DateUtil.getStringDate(getDataFinal(), "dd/MM/yyyy"); 
	}

}
